# Based on spec created by pyp2rpm-2.0.0
%global pypi_name yamllint

Name:           %{pypi_name}
Version:        1.15.0
Release:        1%{?dist}
Summary:        A linter for YAML files

License:        GPLv3+
URL:            https://github.com/adrienverge/yamllint
Source0:        https://pypi.python.org/packages/source/y/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python%{python3_pkgversion}-pathspec
Requires:       python%{python3_pkgversion}-PyYAML
Requires:       python%{python3_pkgversion}-setuptools

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-pathspec
BuildRequires:  python%{python3_pkgversion}-PyYAML

%description
A linter for YAML files.

yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%check
%{__python3} setup.py test

%files
%doc README.rst
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*
%exclude %{python3_sitelib}/tests

%changelog
* Mon Feb 11 2019 Adrien Vergé <adrienverge@gmail.com> - 1.15.0-1
- Update to latest upstream version

* Mon Jan 14 2019 Adrien Vergé <adrienverge@gmail.com> - 1.14.0-1
- Update to latest upstream version

* Wed Nov 14 2018 Adrien Vergé <adrienverge@gmail.com> - 1.13.0-1
- Update to latest upstream version
- Use python%{python3_pkgversion}- packages (python34- no longer works)

* Wed Oct 17 2018 Adrien Vergé <adrienverge@gmail.com> - 1.12.1-1
- Update to latest upstream version

* Thu Oct 4 2018 Adrien Vergé <adrienverge@gmail.com> - 1.12.0-1
- Update to latest upstream version

* Sun Apr 29 2018 Adrien Vergé <adrienverge@gmail.com> - 1.11.1-1
- Update to latest upstream version

* Wed Feb 21 2018 Adrien Vergé <adrienverge@gmail.com> - 1.11.0-1
- Update to latest upstream version

* Sun Nov 5 2017 Adrien Vergé <adrienverge@gmail.com> - 1.10.0-1
- Update to latest upstream version
- Remove C.UTF-8 patch, now included upstream

* Mon Oct 16 2017 Adrien Vergé <adrienverge@gmail.com> - 1.9.0-1
- Update to latest upstream version
- Update patch for new version

* Wed Jul 12 2017 Adrien Vergé <adrienverge@gmail.com> - 1.8.1-1
- Update to latest upstream version
- Update dependencies
- Patch a test because of missing C.UTF-8 locale (again)

* Tue Apr 25 2017 Adrien Vergé <adrienverge@gmail.com> - 1.7.0-1
- Update to latest upstream version

* Sun Feb 26 2017 Adrien Vergé <adrienverge@gmail.com> - 1.6.1-1
- Update to latest upstream version

* Wed Nov 30 2016 Adrien Vergé <adrienverge@gmail.com> - 1.6.0-1
- Update to latest upstream version

* Sat Oct 8 2016 Adrien Vergé <adrienverge@gmail.com> - 1.5.0-2
- Revert patching from 1.4.0-2 because tests are not installed anymore

* Sat Oct 8 2016 Adrien Vergé <adrienverge@gmail.com> - 1.5.0-1
- Update to latest upstream version

* Tue Sep 27 2016 Adrien Vergé <adrienverge@gmail.com> - 1.4.1-1
- Update to latest upstream version

* Mon Sep 19 2016 Adrien Vergé <adrienverge@gmail.com> - 1.4.0-2
- Patch a test because the C.UTF-8 locale is not (yet) available in EPEL 7

* Mon Sep 19 2016 Adrien Vergé <adrienverge@gmail.com> - 1.4.0-1
- Update to latest upstream version

* Tue Sep 13 2016 Adrien Vergé <adrienverge@gmail.com> - 1.3.2-2
- Add missing 'python34-setuptools' dependency

* Tue Jun 28 2016 Adrien Vergé <adrienverge@gmail.com> - 1.3.2-1
- Update to latest upstream version

* Mon Jun 27 2016 Adrien Vergé <adrienverge@gmail.com> - 1.3.0-1
- Update to latest upstream version

* Fri Mar 25 2016 Adrien Vergé <adrienverge@gmail.com> - 1.2.1-1
- Update to latest upstream version
- Justify summary

* Mon Mar 7 2016 Adrien Vergé <adrienverge@gmail.com> - 1.2.0-2
- Do not build man page as Sphinx is not packaged for Python 3

* Mon Mar 7 2016 Adrien Vergé <adrienverge@gmail.com> - 1.2.0-1
- Update to latest upstream version
- Fix 'License:' field (from GPLv3 to GPLv3+)
- Add license file from upstream

* Wed Mar 02 2016 Adrien Vergé <adrienverge@gmail.com> - 1.0.3-3
- Use packages from RHEL / EPEL repos

* Fri Feb 26 2016 Adam Miller <maxamillion@gmail.com> - 1.0.3-2
- Fix permissions on man page install

* Wed Feb 24 2016 Adam Miller <maxamillion@gmail.com> - 1.0.3-1
- Update to latest upstream
- Add man page

* Thu Feb 18 2016 Adam Miller <maxamillion@gmail.com> - 0.7.2-1
- Initial package.
